Publish Site

Publishes a site or an individual page to one or more domains. If multiple individual pages are published to staging, publishing from staging to production publishes all staged changes. To publish to a specific custom domain, use the domain IDs from the [Get Custom Domains](/data/reference/sites/get-custom-domain) endpoint. You must include at least one of the `customDomains` or `publishToWebflowSubdomain` properties in the request body. To publish an individual page instead of the entire site, provide the ID of the page in the `pageId` parameter. <Note title="Rate limit: 1 publish per minute">This endpoint has a specific rate limit of one successful publish queue per minute.</Note> Required scope | `sites:write`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Request

This endpoint expects an object.
customDomainslist of stringsOptional
Array of Custom Domain IDs to publish
publishToWebflowSubdomainbooleanOptionalDefaults to false
Choice of whether to publish to the default Webflow Subdomain
pageIdstringOptional
The ID of the page to publish

Response

Request accepted
customDomainslist of objects
Array of domains objects
publishToWebflowSubdomainbooleanDefaults to false
Flag for publishing to webflow.io subdomain
publishScopeenum
Whether the site or an individual page was published
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error